---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libclassfloadhk001.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4F4A0, symBinAddr: 0xC310, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x513E0, symBinAddr: 0xE250, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x517D0, symBinAddr: 0xE640, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x52770, symBinAddr: 0xF5E0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x52780, symBinAddr: 0xF5F0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: _CLASS_NAME, symObjAddr: 0xDBD8, symBinAddr: 0xC098, symSize: 0x0 }
  - { offsetInCU: 0x7D3, offset: 0x7D3, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4EFE0, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0x7DE, offset: 0x7DE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4EFE4, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0x7E9, offset: 0x7E9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4EFE8, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0x82E, offset: 0x82E, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4F140, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0x8A7, offset: 0x8A7, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4F1F8, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0x8C5, offset: 0x8C5, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4F1FC, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0x8DE, offset: 0x8DE, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4F200, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x8F7, offset: 0x8F7, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4F204, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0x910, offset: 0x910, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4F208, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x8EFF, offset: 0x8EFF, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4F210, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8F88, offset: 0x8F88, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x4F220, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8FA1, offset: 0x8FA1, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4F228, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x8FBA, offset: 0x8FBA, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4F230, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x8FD3, offset: 0x8FD3, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4F238, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x8FEC, offset: 0x8FEC, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4F240, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x9006, offset: 0x9006, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4F248, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x90EC, offset: 0x90EC, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x4F28C, symBinAddr: 0xC1CC, symSize: 0x0 }
  - { offsetInCU: 0x9116, offset: 0x9116, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4F290, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x912F, offset: 0x912F, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x4F298, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x9181, offset: 0x9181, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x3EC0, symSize: 0x80 }
  - { offsetInCU: 0x9216, offset: 0x9216, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x3E10, symSize: 0xB0 }
  - { offsetInCU: 0x9271, offset: 0x9271, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x3D10, symSize: 0x100 }
  - { offsetInCU: 0x9504, offset: 0x9504, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x3F40, symSize: 0xC0 }
  - { offsetInCU: 0x9556, offset: 0x9556, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x4000, symSize: 0x220 }
  - { offsetInCU: 0x973B, offset: 0x973B, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x4220, symSize: 0xA0 }
  - { offsetInCU: 0x97EE, offset: 0x97EE, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x42C0, symSize: 0x110 }
  - { offsetInCU: 0x98E4, offset: 0x98E4, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x43D0, symSize: 0x150 }
  - { offsetInCU: 0x9A41, offset: 0x9A41, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x4520, symSize: 0x30 }
  - { offsetInCU: 0x9B02, offset: 0x9B02, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x4550, symSize: 0x150 }
  - { offsetInCU: 0x9CFA, offset: 0x9CFA, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x46A0, symSize: 0x160 }
  - { offsetInCU: 0x9FBA, offset: 0x9FBA, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x4800, symSize: 0x4A0 }
  - { offsetInCU: 0xA22D, offset: 0xA22D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x4CA0, symSize: 0x1B0 }
  - { offsetInCU: 0xA448, offset: 0xA448, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x4E50, symSize: 0xA0 }
  - { offsetInCU: 0xA517, offset: 0xA517, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x4EF0, symSize: 0x20 }
  - { offsetInCU: 0xA54E, offset: 0xA54E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x4F10, symSize: 0x20 }
  - { offsetInCU: 0xA585, offset: 0xA585, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x4F30, symSize: 0x20 }
  - { offsetInCU: 0xA6F4, offset: 0xA6F4, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x4F50, symSize: 0x1A0 }
  - { offsetInCU: 0xAA10, offset: 0xAA10, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x50F0, symSize: 0x130 }
  - { offsetInCU: 0xABC0, offset: 0xABC0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x5220, symSize: 0x80 }
  - { offsetInCU: 0xAC89, offset: 0xAC89, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x52A0, symSize: 0x6A0 }
  - { offsetInCU: 0xB81E, offset: 0xB81E, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9EF0, symBinAddr: 0x6320, symSize: 0xB0 }
  - { offsetInCU: 0xB895, offset: 0xB895, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x5940, symSize: 0x70 }
  - { offsetInCU: 0xB931, offset: 0xB931, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x59B0, symSize: 0xA0 }
  - { offsetInCU: 0xBA3C, offset: 0xBA3C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5A50, symSize: 0x40 }
  - { offsetInCU: 0xBB32, offset: 0xBB32, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x5A90, symSize: 0x2B0 }
  - { offsetInCU: 0xBED8, offset: 0xBED8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5D40, symSize: 0xC0 }
  - { offsetInCU: 0xC01E, offset: 0xC01E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5E00, symSize: 0x10 }
  - { offsetInCU: 0xC0E0, offset: 0xC0E0, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5E10, symSize: 0x220 }
  - { offsetInCU: 0xC3DD, offset: 0xC3DD, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x6030, symSize: 0x10 }
  - { offsetInCU: 0xC43A, offset: 0xC43A, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x6040, symSize: 0x240 }
  - { offsetInCU: 0xC6C6, offset: 0xC6C6, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E50, symBinAddr: 0x6280, symSize: 0x10 }
  - { offsetInCU: 0xC723, offset: 0xC723, size: 0x8, addend: 0x0, symName: _ClassFileLoadHook, symObjAddr: 0x9E60, symBinAddr: 0x6290, symSize: 0x50 }
  - { offsetInCU: 0xC7C5, offset: 0xC7C5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_ClassFileLoadHook_classfloadhk001_check, symObjAddr: 0x9EB0, symBinAddr: 0x62E0, symSize: 0x40 }
  - { offsetInCU: 0xC812, offset: 0xC812, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9FA0, symBinAddr: 0x63D0, symSize: 0x36A }
...
